package cn.axzo.msg.center.service.pending.request;

import cn.axzo.msg.center.service.enums.AppTerminalTypeEnum;
import cn.axzo.msg.center.service.enums.TerminalTypeEnum;
import cn.axzo.msg.center.service.pending.ClientRequest;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;

/**
 * @author yanglin
 */
@Setter @Getter
public class FetchTodoByBizRequest implements ClientRequest {

    @NotEmpty(message = "rows不能为空")
    private List<TodoInfo> todos = new ArrayList<>();

    public void addTodo(TodoInfo todo) {
        if (todos == null)
            todos = new ArrayList<>();
        todos.add(todo);
    }
    
    @Setter @Getter
    public static class TodoInfo {
        private String templateCode;
        private String bizCode;
        private String subBizCode;
    }

    @Override
    public AppTerminalTypeEnum getAppTerminalType() {
        return null;
    }

    @Override
    public TerminalTypeEnum getTerminalType() {
        return null;
    }
}